org.deidentifier.arx.gui.view.def

## Interface IEditor<T>

Type Parameters:
  `T` -

All Known Implementing Classes:
  EditorSelection, EditorString

    public interface IEditor<T>

Interface for an editor for a given data type.

Author:
  Fabian Prasser

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `accepts(T t)` Does the editor accept the value.
`void` `createControl(org.eclipse.swt.widgets.Composite parent)` Creates an according control.
`java.lang.String` `getCategory()` Returns the category.
`java.lang.String` `getLabel()` Returns the label.
`T` `getValue()` Returns the current value.
`boolean` `isDifferent(T value1, T value2)` Checks whether the two values are different
`void` `setValue(T t)` Sets the value.

### Method Detail

#### accepts

    boolean accepts(T t)

Does the editor accept the value.

Parameters:
  `t` -
Returns:

#### createControl

    void createControl(org.eclipse.swt.widgets.Composite parent)

Creates an according control.

Parameters:
  `parent` -

#### getCategory

    java.lang.String getCategory()

Returns the category.

Returns:

#### getLabel

    java.lang.String getLabel()

Returns the label.

Returns:

#### getValue

    T getValue()

Returns the current value.

Returns:

#### setValue

    void setValue(T t)

Sets the value.

Parameters:
  `t` -

#### isDifferent

    boolean isDifferent(T value1,
                        T value2)

Checks whether the two values are different

Parameters:
  `value1` -
  `value2` -
Returns: